LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
ProofreadingIterator Service Reference

provides a proofreading iterator More...

`import"ProofreadingIterator.idl";`

Inheritance diagram for ProofreadingIterator:

## Additional Inherited Members
Public Member Functions inherited from XProofreadingIterator
void | startProofreading ([in] com::sun::star::uno::XInterface xDocument, [in] com::sun::star::text::XFlatParagraphIteratorProvider xIteratorProvider) raises ( com::sun::star::lang::IllegalArgumentException )
| start proofreading and automatically process the whole text More...
ProofreadingResult | checkSentenceAtPosition ([in] com::sun::star::uno::XInterface xDocument, [in] com::sun::star::text::XFlatParagraph xFlatParagraph, [in] string aText, [in] com::sun::star::lang::Locale aLocale, [in] long nStartOfSentencePosition, [in] long nSuggestedBehindEndOfSentencePosition, [in] long nErrorPositionInParagraph) raises ( com::sun::star::lang::IllegalArgumentException )
| start proofreading from a given position More...
void | resetIgnoreRules ()
| clears the list of ignored rules for each proofreader More...
boolean | isProofreading ([in] com::sun::star::uno::XInterface xDocument)
| checks if the given document is currently being checked More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a proofreading iterator

An implementation of this service acts as a mediator between documents and proofreaders (often called just grammar checkers). It is responsible to process requests for proofreading text portions.

Since
  OOo 3.0.1

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/ProofreadingIterator.idl